[CentOS-devel] php-pear from dev.centos.org repo

Ryan Courtnage ryan-lists at coalescentsystems.ca
Fri Nov 10 19:28:25 UTC 2006


I'm attempting to update the PHP packages on my CentOS 4.4 server (x86_64).

I'm currently running PHP 5.0.x from the "centosplus" repo.  The goal
is to run PHP 5.1.x, which is in the "testing" (dev.centos.org)

However, I'm finding that attempts to "yum update php\*" results in a
php-pear dependency error:

Error: Missing Dependency: php = 5.0.4-5.centos4 is needed by package php-pear

I've tried to sidestep the issue by removing the currently installed
php* packages, and then installing the stuff from dev.centos.org.
Doing this, I find that php-pear-1.4.9-1.centos.noarch.rpm doesn't
install the PEAR DB module (DB.php), which my applications require.

Has anyone else seen this?  What am I doing wrong?


More information about the CentOS-devel mailing list